# Home Manager maintainers.
#
# This attribute set contains Home Manager module maintainers that do
# not have an entry in the Nixpkgs maintainer list [1]. Entries here
# are expected to be follow the same format as described in [1].
#
# [1] https://github.com/NixOS/nixpkgs/blob/fca0d6e093c82b31103dc0dacc48da2a9b06e24b/maintainers/maintainer-list.nix#LC1

{
  justinlovinger = {
    name = "Justin Lovinger";
    email = "git@justinlovinger.com";
    github = "JustinLovinger";
    githubId = 7183441;
  };
  owm111 = {
    email = "7798336+owm111@users.noreply.github.com";
    name = "Owen McGrath";
    github = "owm111";
    githubId = 7798336;
  };
  cwyc = {
    email = "cwyc@users.noreply.github.com";
    name = "cwyc";
    github = "cwyc";
    githubId = 16950437;
  };
  chisui = {
    name = "Philipp Dargel";
    email = "chisui@users.noreply.github.com";
    github = "chisui";
    githubId = 4526429;
  };
  olmokramer = {
    name = "Olmo Kramer";
    email = "olmokramer@users.noreply.github.com";
    github = "olmokramer";
    githubId = 3612514;
  };
  kalhauge = {
    name = "Christian Gram Kalhauge";
    email = "kalhauge@users.noreply.github.com";
    github = "kalhauge";
    githubId = 1182166;
  };
  kamadorueda = {
    name = "Kevin Amado";
    email = "kamadorueda@gmail.com";
    github = "kamadorueda";
    githubId = 47480384;
    keys = [{
      longkeyid = "rsa4096/0x04D0CEAF916A9A40";
      fingerprint = "2BE3 BAFD 793E A349 ED1F  F00F 04D0 CEAF 916A 9A40";
    }];
  };
  kubukoz = {
    name = "Jakub Kozłowski";
    email = "kubukoz@users.noreply.github.com";
    github = "kubukoz";
    githubId = 894884;
  };
  matrss = {
    name = "Matthias Riße";
    email = "matrss@users.noreply.github.com";
    github = "matrss";
    githubId = 9308656;
  };
  seylerius = {
    email = "sable@seyleri.us";
    name = "Sable Seyler";
    github = "seylerius";
    githubId = 1145981;
    keys = [{
      logkeyid = "rsa4096/0x68BF2EAE6D91CAFF";
      fingerprint = "F0E0 0311 126A CD72 4392  25E6 68BF 2EAE 6D91 CAFF";
    }];
  };
  fendse = {
    email = "46252070+Fendse@users.noreply.github.com";
    github = "Fendse";
    githubId = 46252070;
    name = "Sara Johnsson";
  };
  msfjarvis = {
    email = "me@msfjarvis.dev";
    github = "msfjarvis";
    githubId = "13348378";
    name = "Harsh Shandilya";
    keys = [{
      longkeyid = "rsa4096/0xB7843F823355E9B9";
      fingerprint = "8F87 050B 0F9C B841 1515  7399 B784 3F82 3355 E9B9";
    }];
  };
  ambroisie = {
    email = "bruno.home-manager@belanyi.fr";
    github = "ambroisie";
    githubId = 12465195;
    name = "Bruno BELANYI";
  };
  malvo = {
    email = "malte@malvo.org";
    github = "malte-v";
    githubId = 34393802;
    name = "Malte Voos";
  };
  kranzes = {
    email = "personal@ilanjoselevich.com";
    github = "Kranzes";
    githubId = 56614642;
    name = "Ilan Joselevich";
  };
  mager = {
    email = "andreas@mager.eu";
    github = "AndreasMager";
    githubId = 5646732;
    name = "Andreas Mager";
  };
  bjpbakker = {
    email = "bart@thesoftwarecraft.com";
    github = "bjpbakker";
    githubId = 605641;
    name = "Bart Bakker";
  };
  jrobsonchase = {
    email = "josh@robsonchase.com";
    github = "jrobsonchase";
    githubId = 1553581;
    name = "Josh Robson Chase";
  };
  hawkw = {
    name = "Eliza Weisman";
    email = "eliza@elizas.website";
    github = "hawkw";
    githubId = 2796466;
  };
}
